<template>
    <v-layout row justify-center>
        <v-dialog v-model="dialog" max-width="600px">
            <template v-slot:activator="{ on }">
                <v-btn color="primary" dark v-on="on">
                    <v-icon>add</v-icon>
                </v-btn>
            </template>
            <v-card>
                <v-card-title>
                    <span class="headline">New Operation</span>
                </v-card-title>
                <v-card-text>
                    <v-container grid-list-md>
                        <v-layout wrap>
                            <v-flex xs12>
                                <v-text-field number label="Amount" type="amount" v-model="operation.amount" required></v-text-field>
                            </v-flex>
                            <v-flex xs12>
                                <v-text-field label="Description" v-model="operation.description" required></v-text-field>
                            </v-flex>
                            <v-flex xs-12>
                                <v-select :items="categories" item-text="label" item-value="id" label="Select" v-model="operation.category" required></v-select>
                            </v-flex>
                            <v-flex xs-12>
                                <!-- <v-date-picker label="Date" type="date" v-model="operation.date" required></v-date-picker> -->
                                <v-text-field label="Date" type="date" v-model="operation.date" required></v-text-field>
                            </v-flex>
                        </v-layout>
                    </v-container>
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn color="blue darken-1" flat @click="dialog = false">Close</v-btn>
                    <v-btn color="blue darken-1" flat @click="dialog = false" v-on:click="addOperation()">Add</v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </v-layout>
</template>

<script>
import { mapState } from "vuex";

export default {
    computed: {
        ...mapState([
            'account',
            'categories'
        ])
    },
    mounted() {
        this.$store.dispatch("fetchAccount");
        this.$store.dispatch("fetchCategories");
    },
    data() {
        return {
            dialog: false,
            operation: {
                amount: 0,
                description: "",
                date: "",
                category: "",
                account: this.account
            }
        }
    },
    methods: {
        addOperation() {
            this.$store.dispatch("addOperation", this.operation);
        }
    }
}
</script>

<style>
</style>
